﻿// <auto-generated />
using System;
using App.CodeFirst.DBContext;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace App.CodeFirst.Migrations
{
    [DbContext(typeof(EmployeeDBContext))]
    partial class EmployeeDBContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.14")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("App.CodeFirst.Models.Employee", b =>
                {
                    b.Property<Guid>("EmployeeId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("DateOfBirth")
                        .HasColumnType("datetime2");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("Gender")
                        .IsRequired()
                        .HasMaxLength(6)
                        .HasColumnType("nvarchar(6)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasMaxLength(85)
                        .HasColumnType("nvarchar(85)");

                    b.Property<string>("PhoneNumber")
                        .HasMaxLength(15)
                        .HasColumnType("nvarchar(15)");

                    b.HasKey("EmployeeId");

                    b.ToTable("Employees");

                    b.HasData(
                        new
                        {
                            EmployeeId = new Guid("c08fd9d1-e415-45ec-8722-0c17bf7fc320"),
                            DateOfBirth = new DateTime(1979, 4, 25, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "uncle.bob@gmail.com",
                            FirstName = "Uncle",
                            Gender = "Male",
                            IsDeleted = false,
                            LastName = "Bob",
                            PhoneNumber = "999-888-7777"
                        },
                        new
                        {
                            EmployeeId = new Guid("8b695255-f7e2-4c51-b8f6-59b6de08f2dd"),
                            DateOfBirth = new DateTime(1981, 7, 13, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "jan.kirsten@gmail.com",
                            FirstName = "Jan",
                            Gender = "Female",
                            IsDeleted = false,
                            LastName = "Kirsten",
                            PhoneNumber = "111-222-3333"
                        },
                        new
                        {
                            EmployeeId = new Guid("209d5f79-b7bf-4136-9aca-13bc4a44d3dd"),
                            DateOfBirth = new DateTime(1985, 11, 13, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "may.kosovov@gmail.com",
                            FirstName = "May",
                            Gender = "Male",
                            IsDeleted = false,
                            LastName = "Kosovov",
                            PhoneNumber = "111-222-3333"
                        },
                        new
                        {
                            EmployeeId = new Guid("fc85d47b-188f-45b1-b215-4d249ef9ead2"),
                            DateOfBirth = new DateTime(1975, 9, 3, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "neil.sedakas@gmail.com",
                            FirstName = "Neil",
                            Gender = "Male",
                            IsDeleted = false,
                            LastName = "Sedakas",
                            PhoneNumber = "111-222-3333"
                        },
                        new
                        {
                            EmployeeId = new Guid("9e6ef25e-f6c0-4498-82af-96ed7edf22eb"),
                            DateOfBirth = new DateTime(1989, 7, 12, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "carlton.banks@gmail.com",
                            FirstName = "Carlton",
                            Gender = "Male",
                            IsDeleted = false,
                            LastName = "Banks",
                            PhoneNumber = "111-222-3333"
                        });
                });
#pragma warning restore 612, 618
        }
    }
}
